<html>
<head>
<title>OGRE: Ogre::SceneManager::materialLess Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>::<a class="el" href="structOgre_1_1SceneManager_1_1materialLess.html">materialLess</a></div>
<h1>Ogre::SceneManager::materialLess Struct Reference</h1><!-- doxytag: class="Ogre::SceneManager::materialLess" -->Comparator for material map, for sorting materials into render order (e.g.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneManager_1_1materialLess-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1materialLess.html#f8782b00a396dac220a2c1846bd6a2a1">operator()</a> (const <a class="el" href="classOgre_1_1Material.html">Material</a> *x, const <a class="el" href="classOgre_1_1Material.html">Material</a> *y) const </td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Comparator for material map, for sorting materials into render order (e.g. 
<p>
transparent last). 
<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00235">235</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="f8782b00a396dac220a2c1846bd6a2a1"></a><!-- doxytag: member="Ogre::SceneManager::materialLess::operator()" ref="f8782b00a396dac220a2c1846bd6a2a1" args="(const Material *x, const Material *y) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport bool Ogre::SceneManager::materialLess::operator()           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html">Material</a> *&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html">Material</a> *&nbsp;</td>
          <td class="paramname"> <em>y</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:03 2008
</p>
</body>
</html>
